package com.hssx.cloudmodel.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.cloudmodel.entity.Company;
import com.hssx.cloudmodel.entity.Factory;
import com.hssx.cloudmodel.service.CompanyService;
import com.hssx.cloudmodel.service.FactoryService;
import com.hssx.cloudmodel.util.HttpRespMsg;
import com.hssx.cloudmodel.util.PageUtil;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * @author 吴涛涛
 * @since 2019-07-26
 */
@Controller
@RequestMapping("/factory")
@Slf4j
public class FactoryController {


    @Autowired
    private FactoryService factoryService;

    /**
     * 添加/修改工厂
     *
     * @param factory 参数：factoryName 工厂名 factoryArea 公司地址
     *                yLng 经度  xLat 纬度
     * @param flag    0-添加，1-修改
     * @return
     */
    @ApiOperation("添加/修改工厂")
    @RequestMapping("/add")
    @ResponseBody
    public HttpRespMsg addAndUpdateFactory(Factory factory, HttpServletRequest request, Integer flag,
                                        HttpServletResponse response) {
        HttpRespMsg msg = new HttpRespMsg();
        msg = factoryService.addAndUpdateFactory(factory, flag);
        return msg;
    }

    /**
     * @param factory 参数：id 工厂id
     * @return
     */
    @ApiOperation("删除公司")
    @RequestMapping("/delete")
    @ResponseBody
    public HttpRespMsg delete(Factory factory, HttpServletRequest request,
                              HttpServletResponse response) {
        HttpRespMsg msg = new HttpRespMsg();
        msg.data = factoryService.removeById(factory.getId());
        return msg;
    }

    /**
     * 工厂列表
     * 参数: pageNum 当前页码，pageSize 每页条数 keyName 关键字查询
     * @return
     */
    @ApiOperation("工厂列表")
    @RequestMapping("/list")
    @ResponseBody
    public HttpRespMsg deleteRole(@RequestParam(required = false) String keyName, HttpServletRequest request,
                                  HttpServletResponse response, PageUtil page) {
        HttpRespMsg msg = new HttpRespMsg();
        msg = factoryService.pageList(page, keyName);
        return msg;
    }


}

