package com.hssx.cloudmodel.controller;

import com.hssx.cloudmodel.entity.Factory;
import com.hssx.cloudmodel.entity.Project;
import com.hssx.cloudmodel.service.ProjectService;
import com.hssx.cloudmodel.util.HttpRespMsg;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 *
 * @author 吴涛涛
 * @since 2019-07-27
 */
@Controller
@RequestMapping("/project")
public class ProjectController {
    @Autowired
    private ProjectService projectService;
    /**
     * 添加/修改项目
     * 参数：projectName 项目名 ,creatorId 创建人id ,creator 创建人名字
     * ownerCompany 本项目公司id, ownerCompanyName 本公司名字，customerCompany 客户方公司id
     * customerCompanyName 客户放公司名称
     * flag 0-添加，1-修改
     * @return
     */
    @ApiOperation("添加/修改项目")
    @RequestMapping("/add")
    @ResponseBody
    public HttpRespMsg addAndUpdateProject(Project project, HttpServletRequest request, Integer flag,
                                        HttpServletResponse response) {
        HttpRespMsg msg = new HttpRespMsg();
        msg = projectService.addAndUpdateProject(project, flag);
        return msg;
    }

    /**
     * 分配项目
     * 参数：id 项目id ，userIds 参与项目的用户id 如：“1,2,3”(多个或者一个)
     *
     * @return
     */
    @ApiOperation("分配项目")
    @RequestMapping("/ handOutProject")
    @ResponseBody
    public HttpRespMsg handOutProject(Project project,String userIds){
        HttpRespMsg msg = projectService.handOutProject(project,userIds);
        return msg;
    }
}

