package com.hssx.cloudmodel.controller;


import com.hssx.cloudmodel.entity.Role;
import com.hssx.cloudmodel.service.RoleService;
import com.hssx.cloudmodel.util.HttpRespMsg;
import com.hssx.cloudmodel.util.PageUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
@Controller
@RequestMapping("/role")
public class RoleController {

    @Autowired
    private RoleService roleService;

    /**
     * 添加/修改角色
     * @param role
     * 参数：roleName 角色名 dowloadPower 下载权限 0-无，1-有
     * uploadPower 上传权限 0-无，1-有 viewPower 浏览权限 0-无，1-有
     * approvalPower 审批权限 0-无，1-有
     * @param flag 0-添加，1-修改
     * @return
     */
    @ApiOperation("添加/修改角色")
    @RequestMapping("/add")
    @ResponseBody
    public HttpRespMsg addAndUpdateRole(Role role, HttpServletRequest request,Integer flag,
                               HttpServletResponse response) {
        HttpRespMsg msg = new HttpRespMsg();
        msg = roleService.addAndUpdateRole(role,flag);
        return msg;
    }

    /**
     * 删除角色
     * @param role
     * 参数 id 角色id
     * @return
     */
    @ApiOperation("删除角色")
    @RequestMapping("/delete")
    @ResponseBody
    public HttpRespMsg deleteRole(Role role, HttpServletRequest request,
                               HttpServletResponse response) {
        HttpRespMsg msg = new HttpRespMsg();
        msg.data = roleService.deleteById(role.getId());
        return msg;
    }

    /**
     * 角色列表
     * 参数：pageNum 当前页码，pageSize 每页条数 keyName 关键字查询
     * @return
     */
    @ApiOperation("角色列表")
    @RequestMapping("/list")
    @ResponseBody
    public HttpRespMsg deleteRole(@RequestParam(required = false) String keyName, HttpServletRequest request,
                                  HttpServletResponse response, PageUtil page) {
        HttpRespMsg msg = new HttpRespMsg();
        msg = roleService.pageList(page,keyName);
        return msg;
    }
}

