package com.hssx.cloudmodel.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-27
 */
@TableName("tb_project")
public class Project extends Model<Project> {

    private static final long serialVersionUID=1L;

    /**
     * 项目主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 项目名称
     */
    @TableField("project_name")
    private String projectName;

    /**
     * 项目编号
     */
    @TableField("project_no")
    private String projectNo;

    /**
     * 开始时间
     */
    @TableField("start_time")
    private LocalDateTime startTime;

    /**
     * 结束时间
     */
    @TableField("end_time")
    private LocalDateTime endTime;

    /**
     * 评论内容
     */
    @TableField("content")
    private String content;

    /**
     * 创建人id
     */
    @TableField("creator_id")
    private Integer creatorId;

    /**
     * 创建人名字
     */
    @TableField("creator")
    private String creator;

    /**
     * 是否删除，软删除操作
     */
    @TableField("is_delete")
    private Integer isDelete;

    /**
     * 本项目公司id
     */
    @TableField("owner_company")
    private Integer ownerCompany;

    /**
     * 本项目公司名称
     */
    @TableField("owner_company_name")
    private String ownerCompanyName;

    /**
     * 客户方公司id
     */
    @TableField("customer_company")
    private Integer customerCompany;

    /**
     * 客户方公司名称
     */
    @TableField("customer_company_name")
    private String customerCompanyName;

    /**
     * 创建时间
     */
    @TableField("indate")
    private LocalDateTime indate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public LocalDateTime getStartTime() {
        return startTime;
    }

    public void setStartTime(LocalDateTime startTime) {
        this.startTime = startTime;
    }

    public LocalDateTime getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalDateTime endTime) {
        this.endTime = endTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Integer creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getOwnerCompany() {
        return ownerCompany;
    }

    public void setOwnerCompany(Integer ownerCompany) {
        this.ownerCompany = ownerCompany;
    }

    public String getOwnerCompanyName() {
        return ownerCompanyName;
    }

    public void setOwnerCompanyName(String ownerCompanyName) {
        this.ownerCompanyName = ownerCompanyName;
    }

    public Integer getCustomerCompany() {
        return customerCompany;
    }

    public void setCustomerCompany(Integer customerCompany) {
        this.customerCompany = customerCompany;
    }

    public String getCustomerCompanyName() {
        return customerCompanyName;
    }

    public void setCustomerCompanyName(String customerCompanyName) {
        this.customerCompanyName = customerCompanyName;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Project{" +
        "id=" + id +
        ", projectName=" + projectName +
        ", projectNo=" + projectNo +
        ", startTime=" + startTime +
        ", endTime=" + endTime +
        ", content=" + content +
        ", creatorId=" + creatorId +
        ", creator=" + creator +
        ", isDelete=" + isDelete +
        ", ownerCompany=" + ownerCompany +
        ", ownerCompanyName=" + ownerCompanyName +
        ", customerCompany=" + customerCompany +
        ", customerCompanyName=" + customerCompanyName +
        ", indate=" + indate +
        "}";
    }
}
