package com.hssx.cloudmodel.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-27
 */
@TableName("tb_user")
public class User extends Model<User> {

    private static final long serialVersionUID=1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 账号
     */
    @TableField("account")
    private String account;

    /**
     * 名字
     */
    @TableField("username")
    private String username;

    /**
     * 密码
     */
    @TableField("password")
    private String password;

    /**
     * 联系电话
     */
    @TableField("mobile")
    private String mobile;

    /**
     * (供应商)角色类型，-1-超级管理员 0-项目经理 1-普通用户。(客户方)5-客服方领导，6-客户方普通人员
     */
    @TableField("role_type")
    private Integer roleType;

    /**
     * 公司id
     */
    @TableField("company_id")
    private Integer companyId;

    /**
     * 上级id,0-无上级
     */
    @TableField("parent_id")
    private Integer parentId;

    /**
     * 性别，0-男 1-女
     */
    @TableField("sex")
    private Integer sex;

    /**
     * 部门编号
     */
    @TableField("dep_no")
    private String depNo;

    /**
     * 工作状态
     */
    @TableField("work_state")
    private Integer workState;

    /**
     * 是否禁用，0-非禁用 1-禁用
     */
    @TableField("is_disable")
    private Integer isDisable;

    /**
     * 创建时间
     */
    @TableField("indate")
    private LocalDateTime indate;

    /**
     * token用户凭证
     */
    @TableField("head_imgurl")
    private String headImgurl;

    /**
     * 团体名称
     */
    @TableField("team_name")
    private String teamName;

    /**
     * 所属方，-1-超级管理员,0-供应商 1-客户方
     */
    @TableField("subordinate_type")
    private Integer subordinateType;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getRoleType() {
        return roleType;
    }

    public void setRoleType(Integer roleType) {
        this.roleType = roleType;
    }

    public Integer getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Integer companyId) {
        this.companyId = companyId;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getDepNo() {
        return depNo;
    }

    public void setDepNo(String depNo) {
        this.depNo = depNo;
    }

    public Integer getWorkState() {
        return workState;
    }

    public void setWorkState(Integer workState) {
        this.workState = workState;
    }

    public Integer getIsDisable() {
        return isDisable;
    }

    public void setIsDisable(Integer isDisable) {
        this.isDisable = isDisable;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    public String getHeadImgurl() {
        return headImgurl;
    }

    public void setHeadImgurl(String headImgurl) {
        this.headImgurl = headImgurl;
    }

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public Integer getSubordinateType() {
        return subordinateType;
    }

    public void setSubordinateType(Integer subordinateType) {
        this.subordinateType = subordinateType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "User{" +
        "id=" + id +
        ", account=" + account +
        ", username=" + username +
        ", password=" + password +
        ", mobile=" + mobile +
        ", roleType=" + roleType +
        ", companyId=" + companyId +
        ", parentId=" + parentId +
        ", sex=" + sex +
        ", depNo=" + depNo +
        ", workState=" + workState +
        ", isDisable=" + isDisable +
        ", indate=" + indate +
        ", headImgurl=" + headImgurl +
        ", teamName=" + teamName +
        ", subordinateType=" + subordinateType +
        "}";
    }
}
