package com.hssx.cloudmodel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hssx.cloudmodel.entity.Company;
import com.hssx.cloudmodel.entity.Factory;
import com.hssx.cloudmodel.mapper.FactoryMapper;
import com.hssx.cloudmodel.service.FactoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.cloudmodel.util.HttpRespMsg;
import com.hssx.cloudmodel.util.PageUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
@Service
public class FactoryServiceImpl extends ServiceImpl<FactoryMapper, Factory> implements FactoryService {

    @Autowired
    FactoryMapper factoryMapper;
    @Override
    public HttpRespMsg addAndUpdateFactory(Factory factory, Integer flag) {
        HttpRespMsg msg = new HttpRespMsg();
        if (flag == 0) {
            //添加公司
            QueryWrapper<Factory> qw = new QueryWrapper<>();
            qw.eq("factory_name", factory.getFactoryName());
            int count = factoryMapper.selectCount(qw);
            if (count > 0) {
                msg.setError("工厂已存在，请勿重复添加");
            } else {
                factoryMapper.insert(factory);
            }
        } else if (flag == 1) {
            //更新公司信息
            factoryMapper.updateById(factory);
        }
        return msg;
    }

    @Override
    public HttpRespMsg pageList(PageUtil page, String keyName) {
        HttpRespMsg msg = new HttpRespMsg();
        QueryWrapper<Factory> qw = new QueryWrapper<>();
        if(keyName !=null && !"".equals(keyName)){
            qw.like("factory_name",keyName);
        }
        PageHelper.startPage(page.getPageNum(),page.getPageSize());
        List<Factory> factories = factoryMapper.selectList(qw);
        PageInfo<Factory>pageInfos = new PageInfo<>(factories);
        msg.data = pageInfos;
        return msg;
    }
}
