package com.hssx.cloudmodel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.cloudmodel.entity.Project;
import com.hssx.cloudmodel.mapper.ProjectMapper;
import com.hssx.cloudmodel.service.ProjectService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.cloudmodel.util.HttpRespMsg;
import com.hssx.cloudmodel.util.ListUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.text.SimpleDateFormat;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-27
 */
@Service
public class ProjectServiceImpl extends ServiceImpl<ProjectMapper, Project> implements ProjectService {

    @Autowired
    ProjectMapper projectMapper;

    @Override
    public HttpRespMsg addAndUpdateProject(Project project, Integer flag) {
        HttpRespMsg msg = new HttpRespMsg();
        QueryWrapper<Project> qw = new QueryWrapper<>();
        qw.orderByDesc("id").last("limit 1");
        Project lastProject = projectMapper.selectOne(qw);
        if (flag == 0) {
            synchronized (this) {
                int count = 1;
                if (lastProject != null) {
                    //YMXM201903220001
                    String numStr = lastProject.getProjectNo().substring(13);
                    int num = Integer.valueOf(numStr).intValue();
                    count += num;
                }
                long time = System.currentTimeMillis();
                SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
                String seq = sdf.format(time) + String.format("%04d", count);
                project.setProjectNo("YMXM"+seq);
                projectMapper.insert(project);
            }
        }else if(flag == 1){
            projectMapper.updateById(project);
        }
        return msg;
    }

    @Override
    public HttpRespMsg handOutProject(Project project, String userIds) {
        if(userIds != null && userIds != ""){
            ListUtil.convertLongIdsArrayToList(userIds);
        }
        return null;
    }
}
