package com.hssx.cloudmodel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hssx.cloudmodel.constant.Constant;
import com.hssx.cloudmodel.entity.User;
import com.hssx.cloudmodel.entity.vo.UserVO;
import com.hssx.cloudmodel.mapper.UserMapper;
import com.hssx.cloudmodel.service.UserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.cloudmodel.util.HttpRespMsg;
import com.hssx.cloudmodel.util.MD5Util;
import com.hssx.cloudmodel.util.PageUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.UUID;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-07-26
 */
@Service
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {
    @Autowired
    UserMapper userMapper;

    @Override
    public HttpRespMsg login(User user, HttpServletRequest request) {
        System.out.println("user" + user);
        HttpRespMsg msg = new HttpRespMsg();
        //验证用户名是否存在
        QueryWrapper<User> qw = new QueryWrapper<>();
        qw.eq("account", user.getAccount());
        Integer count = userMapper.selectCount(qw);
        //验证用户名是否正确
        if (count > 0) {
            User newUser = userMapper.selectOne(qw);
            //验证密码是否正确
            if (MD5Util.getPassword(user.getPassword()).equals(newUser.getPassword())) {
                newUser.setPassword("");
                msg.data = newUser;
            } else {
                msg.setError("密码错误");
            }
        } else {
            msg.setError("账号不存在");
        }
        return msg;
    }

    @Override
    public HttpRespMsg pageList(PageUtil page, Integer companyId, Integer flag, String keyName, User user, Integer roleType) {
        HttpRespMsg msg = new HttpRespMsg();
        PageHelper.startPage(page.getPageNum(), page.getPageSize());
        List<UserVO> users = userMapper.selectListByCondition(roleType,companyId,flag, user, keyName);
        PageInfo<UserVO> pageInfos = new PageInfo<>(users);
        msg.data = pageInfos;
        return msg;
    }

    @Override
    public HttpRespMsg addAndUpdateUser(User user, Integer flag) {
        HttpRespMsg msg = new HttpRespMsg();
        if (flag == 0) {
            //添加角色
            QueryWrapper<User> qw = new QueryWrapper<>();
            qw.eq("account", user.getAccount());
            int count = userMapper.selectCount(qw);
            if (count > 0) {
                msg.setError("账号已存在，请输入其他账号");
            } else {
                //创建账号默认密码"000000"
                user.setPassword(MD5Util.getPassword("000000"));
                user.setHeadImgurl(UUID.randomUUID().toString().replaceAll("-", ""));
                userMapper.insert(user);
            }
        } else if (flag == 1) {
            //更新角色信息
            userMapper.updateById(user);
        }
        return msg;
    }

}
