import babelpolyfill from 'babel-polyfill'
import Vue from 'vue'
import App from './App'

import VueRouter from 'vue-router'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
//import 'element-ui/lib/theme-default/index.css'
//import './assets/theme/theme-green/index.css'

import store from './vuex/store'
import Vuex from 'vuex'
//import NProgress from 'nprogress'
//import 'nprogress/nprogress.css'
import routes from './routes'
// import Mock from './mock'
// Mock.bootstrap();

import http from './http'
Vue.prototype.http = http

import port from './port'
Vue.prototype.port = port

import 'font-awesome/css/font-awesome.min.css'
import './assets/iconfont/iconfont.css'

Vue.use(ElementUI)
Vue.use(VueRouter)
Vue.use(Vuex)

//NProgress.configure({ showSpinner: false });

const router = new VueRouter({
    routes
})

router.beforeEach((to, from, next) => {
    //NProgress.start();
    if (to.path == '/login') {
        sessionStorage.removeItem('user');
    }

    let user = JSON.parse(sessionStorage.getItem('user'));
    if (!user && to.path != '/login') {
        next({ path: '/login' })
    } else {
        for(var i in routes){
            if(user){
                if(routes[i].name == "基础管理" && user.username != "管理员"){
                    routes.splice(i, 1)
                }
            }
        }
        next()
    }
})

// router.afterEach(transition => {
// NProgress.done();
// });

new Vue({
    //el: '#app',
    //template: '<App/>',
    router,
    store,
    //components: { App }
    render: h => h(App)
}).$mount('#app')

