import Login from './views/Login.vue'
import NotFound from './views/404.vue'
import Home from './views/Home.vue'
import Main from './views/Main.vue'

import Table from './views/nav1/Table.vue'
import Form from './views/nav1/Form.vue'
import user from './views/nav1/user.vue'
import Page4 from './views/nav2/Page4.vue'
import Page5 from './views/nav2/Page5.vue'
import Page6 from './views/nav3/Page6.vue'
import echarts from './views/charts/echarts.vue'
//新页面
import map from './views/map/map.vue'

import detection from './views/detection/detection.vue'

import project from './views/project/project.vue'
import staff from './views/project/staff.vue'
import competence from './views/project/competence.vue'

import moldList from './views/mold/moldList.vue'
import moldFile from './views/mold/moldFile.vue'

import role from './views/base/role.vue'
import comp from './views/base/comp.vue'
import factory from './views/base/factory.vue'

let routes = [
    {
        path: '/login',
        component: Login,
        name: '',
        hidden: true
    },
    // {
    //     path: '/',
    //     component: Home,
    //     name: '导航一',
    //     iconCls: 'el-icon-message',//图标样式class
    //     children: [
    //         { path: '/main', component: Main, name: '主页', hidden: true },
    //         { path: '/table', component: Table, name: 'Table' },
    //         { path: '/form', component: Form, name: 'Form' },
    //         { path: '/user', component: user, name: '列表' },
    //     ]
    // },
    // {
    //     path: '/',
    //     component: Home,
    //     name: '导航二',
    //     iconCls: 'fa fa-id-card-o',
    //     children: [
    //         { path: '/page4', component: Page4, name: '页面4' },
    //         { path: '/page5', component: Page5, name: '页面5' }
    //     ]
    // },
    // {
    //     path: '/',
    //     component: Home,
    //     name: '',
    //     iconCls: 'fa fa-address-card',
    //     leaf: true,//只有一个节点
    //     children: [
    //         { path: '/page6', component: Page6, name: '导航三' }
    //     ]
    // },
    // {
    //     path: '/',
    //     component: Home,
    //     name: 'Charts',
    //     iconCls: 'fa fa-bar-chart',
    //     children: [
    //         { path: '/echarts', component: echarts, name: 'echarts' }
    //     ]
    // },
    // 地图概览
    {
        path: '/',
        component: Home,
        name: '',
        iconCls: 'iconfont icon-ditu',
        leaf: true,//只有一个节点
        children: [
            { path: '/map', component: map, name: '地图概览' }
        ]
    },
    // 运行监测
    {
        path: '/',
        component: Home,
        name: '',
        iconCls: 'iconfont icon-jiance',
        leaf: true,//只有一个节点
        children: [
            { path: '/detection', component: detection, name: '运行检测' }
        ]
    },
    // 项目管理
    {
        path: '/',
        component: Home,
        name: '项目管理',
        iconCls: 'iconfont icon-ic_dashboard',
        children: [
            { path: '/project', component: project, name: '项目列表' },
            { path: '/staff', component: staff, name: '人员管理' },
            { path: '/competence', component: competence, name: '权限管理' }
        ]
    },
    // 模具管理
    {
        path: '/',
        component: Home,
        name: '模具管理',
        iconCls: 'iconfont icon-moxing',
        children: [
            { path: '/moldList', component: moldList, name: '模具列表' },
            { path: '/moldFile', component: moldFile, name: '模具文档' }
        ]
    },
    // 基础管理
    {
        path: '/',
        component: Home,
        name: '基础管理',
        iconCls: 'iconfont icon-setting-fill',
        children: [
            { path: '/role', component: role, name: '角色管理' },
            { path: '/comp', component: comp, name: '公司管理' },
            { path: '/factory', component: factory, name: '工厂管理' }
        ]
    },
    {
        path: '/404',
        component: NotFound,
        name: '',
        hidden: true
    },
    {
        path: '*',
        hidden: true,
        redirect: { path: '/404' }
    }
];

export default routes;